%global gitdate 20220912

Summary:	Virgl Rendering library.
Name:		virglrenderer
Version:	0.10.1
Release:        6%{?dist}
License:	MIT
Url:            https://gitlab.freedesktop.org/virgl/virglrenderer
Source0:	virglrenderer-%{gitdate}.tar.xz

BuildRequires:  meson python3
BuildRequires:	xorg-x11-util-macros libepoxy-devel
BuildRequires:	mesa-libgbm-devel mesa-libEGL-devel
BuildRequires:	libdrm-devel libva-devel

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package devel
Summary: Virgil3D renderer development files
Requires: %{name} = %{version}-%{release}

%description devel
Virgil3D renderer development files, used by
qemu to build against.

%package test-server
Summary: Virgil3D renderer testing server
Requires: %{name} = %{version}-%{release}

%description test-server
Virgil3D renderer testing server is a server
that can be used along with the mesa virgl
driver to test virgl rendering without GL.

%prep
%autosetup -n %{name}-%{gitdate}

%build
%meson -Dvideo=true
%meson_build

%install
%meson_install


%files
%license COPYING
%{_libdir}/lib*.so.*

%files devel
%dir %{_includedir}/virgl/
%{_includedir}/virgl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files test-server
%{_bindir}/virgl_test_server

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Wang Guodong <gordonwwang@tencent.com> - 0.10.1-4
- Rebuilt for libva 2.19.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 cunshunxia <cunshunxia@tencent.com> - 0.10.1-1
- initial build
